Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QPrintWriterExpressFactory

    java.lang.Object
      |
      +--com.jxml.quick.QBase
            |
            +--com.jxml.quick.QFilterFactory
                  |
                  +--com.jxml.quick.QExpressFactory
                        |
                        +--com.jxml.quick.QPrintWriterExpressFactory

public class QPrintWriterExpressFactory
extends QExpressFactory

Class declaration

author Hannu Pääkkö

updated for compatibility with 1.1a1 QExpressFactory--Quick 1.1a2

Inner Class Summary
`class` | `QPrintWriterExpressFactory.QPrintWriterExpress` Class declaration

Inner classes inherited from class com.jxml.quick.QExpressFactory
`QExpressFactory.QExpress`

Inner classes inherited from class com.jxml.quick.QFilterFactory
`QFilterFactory.QFilter`

Fields inherited from class com.jxml.quick.QExpressFactory
`E, EV`

Fields inherited from class com.jxml.quick.QFilterFactory
`newContext`

Constructor Summary
`QPrintWriterExpressFactory(PrintWriter pw)`

Method Summary
`protected QFilterFactory.QFilter` | `newFilter()` Method declaration

Methods inherited from class com.jxml.quick.QFilterFactory
`addFactory, addToFactory, createContext, createFilter, initFF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QPrintWriterExpressFactory

    public QPrintWriterExpressFactory(PrintWriter pw)

Method Detail

### newFilter

    protected QFilterFactory.QFilter newFilter()
                                        throws QE

  Method declaration
  Overrides:
    `newFilter` in class `QExpressFactory`
  Throws:
    `QE` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD